kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall-task
  namespace: dev
  labels:
    app: mall-task
  annotations:
    kubesphere.io/creator: wuhanqin
    kubesphere.io/description: 自营商城go定时任务
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mall-task
  template:
    metadata:
      labels:
        app: mall-task
    spec:
      volumes:
        - name: host-time
          hostPath:
            path: /etc/localtime
            type: ''
        - name: mall-task-cfg1
          configMap:
            name: mall-task-cfg
            items:
              - key: task.yml
                path: task.yml
            defaultMode: 420
      containers:
        - name: container-mall-task
          image: 'registry.cn-shenzhen.aliyuncs.com/fnuoos-prd/zyos-mall-task:0.1'
          resources:
            limits:
              cpu: '1'
              memory: 1000Mi
            requests:
              cpu: 200m
              memory: 1000Mi
          volumeMounts:
            - name: host-time
              readOnly: true
              mountPath: /etc/localtime
            - name: mall-task-cfg1
              readOnly: true
              mountPath: /var/zyos/task.yml
              subPath: task.yml
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
